CRAN Package Check Results for Package mutoss

Last updated on 2021-06-17 02:50:48 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1-12 14.74 124.08 138.82 OK
r-devel-linux-x86_64-debian-gcc 0.1-12 11.57 95.01 106.58 OK
r-devel-linux-x86_64-fedora-clang 0.1-12 173.67 OK
r-devel-linux-x86_64-fedora-gcc 0.1-12 162.98 OK
r-devel-windows-x86_64 0.1-12 24.00 158.00 182.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.1-12 OK
r-patched-linux-x86_64 0.1-12 14.03 119.27 133.30 OK
r-patched-solaris-x86 0.1-12 225.90 OK
r-release-linux-x86_64 0.1-12 12.61 118.05 130.66 OK
r-release-macos-arm64 0.1-12 ERROR
r-release-macos-x86_64 0.1-12 OK
r-release-windows-ix86+x86_64 0.1-12 29.00 156.00 185.00 OK
r-oldrel-macos-x86_64 0.1-12 OK
r-oldrel-windows-ix86+x86_64 0.1-12 19.00 162.00 181.00 OK

Check Details

Version: 0.1-12
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘qvalue’
Flavor: r-release-macos-arm64

Version: 0.1-12
Check: examples
Result: ERROR
    Running examples in ‘mutoss-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: Qvalue
    > ### Title: Storey's (2001) q-value Procedure...
    > ### Aliases: Qvalue
    >
    > ### ** Examples
    > pval <- c(runif(50), runif(50, 0, 0.01))
    > result <- Qvalue(pval)
    Loading required package: qvalue
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called ‘qvalue’
    Package qvalue is required - should we install it?
    Error in requireLibrary("qvalue") :
     Required package qvalue should not be installed
    Calls: Qvalue -> requireLibrary
    Execution halted
Flavor: r-release-macos-arm64